/*  ==========================================================================
    Header
    ========================================================================== */

/*
    Block
    ========================================================================== */

.l-header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 50px 0;
    background: $c-white;
    z-index: 10;

    @include breakpoint( large down ) {
        padding: 30px 0;
    }
}

/*
    Elements
    ========================================================================== */

.l-header__logo {
    letter-spacing: -0.03em;
    margin-bottom: 0px;
    @include vs-spacing(font-size, 28px, 50px);
}

.l-header__nav {
    position: absolute;
    top: 77px;
    right: 40px;

    @include breakpoint( large down ) {
        position: fixed;
        top: 0;
        right: 0;
        width: 400px;
        max-width: 100%;
        height: 100vh;
        background: $c-white;
        padding: 120px 50px;
        transform: translateX(100%);
        transition: transform 500ms ease;
        border-left: 1px solid $c-light-grey;
    }

    .menu-active & {

        @include breakpoint( large down ) {
            transform: translateX(0);
        }
    }

    li {
        float: left;
        margin-left: 16px;

        @include breakpoint( large down ) {
            float: none;
            margin: 0 0 10px;
        }
    }

    a {
        transition: color 300ms ease;

        &:hover {
            color: map-get( $c-colours, green );
        }
    }
}

.l-header__burger {
    display: block;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 30px;
    z-index: 2;
    width: 25px;
    height: 14px;
    cursor: pointer;
    transition: all 300ms ease;
    backface-visibility: hidden;

    .menu-active & {
        height: 4px;
        width: 22px;

        span {
            width: 24px;
            transform: rotate(45deg);
            transform-origin: 50% 50%;
            top: 50%;
            color: $c-white !important;

            &:nth-child(1) {
                top: 50%;
                transform: rotate(-45deg);
                transform-origin: 50% 50%;;
            }

            &:nth-child(2) {
                opacity: 0;
            }
        }
    }

    span {
        background: map-get( $c-colours, primary );
        height: 2px;
        width: 100%;
        display: block;
        position: absolute;
        top: 0;
        left: 0;
        transition: all 300ms ease;
        backface-visibility: hidden;

        &:nth-child(2) {
            top: 50%;
            margin-top: -1px;
            width: 100%;
        }

        &:nth-child(3) {
            top: auto;
            bottom: 0;
        }
    }

    @include breakpoint( xlarge ) {
        display: none;
    }
}